
// Copyright (C) 2002-2011 Nikolaus Gebhardt
// This file is part of the "Irrlicht Engine".
// For conditions of distribution and use, see copyright notice in irrlicht.h

#ifndef __I_BURNINGVIDEO_CONTEXT_H_INCLUDED__
#define __I_BURNINGVIDEO_CONTEXT_H_INCLUDED__


#include "IrrCompileConfig.h"

#ifdef _IRR_COMPILE_WITH_BURNINGSVIDEO_

#include "IVideoContext.h"


namespace irr
{
namespace video
{

class IRenderWindow;
class CImage;
class IZBuffer;
class IStencilBuffer ;
class IDepthBuffer ;

// beginScene( void*)
// beginScene( IRenderWindow*)

// TODO to replace SExposedVideoData virtual
class IBurningVideoContext : public IVideoContext
{
public:

//    IBurningVideoContext( IRenderWindow* window, XImage*);
    IBurningVideoContext( IDepthBuffer* depthBuffer, CImage* backBuffer, IStencilBuffer* stencilBuffer, const SVideoContextConfig& config) :
        IVideoContext(config,false)
        , DepthBuffer(depthBuffer)
        , BackBuffer(backBuffer)
        , StencilBuffer(stencilBuffer)
        {
//            _IRR_DEBUG_BREAK_IF( zBuffer == 0);
//            _IRR_DEBUG_BREAK_IF( backBuffer == 0);
        };

    virtual ~IBurningVideoContext()
    {

    }

    virtual bool setTarget(void* ) = 0;
//    getVideoDriver()


    virtual core::dimension2du getSize() const
    {
        return getConfig().ContextSize;
    };

    virtual bool setSize( const core::dimension2du& dims )
    {
        return false;
    }

		virtual IDepthBuffer * getDepthBuffer () { return DepthBuffer; }
		virtual IStencilBuffer * getStencilBuffer () { return StencilBuffer; }

    virtual bool swapBuffers(core::rect<s32>* src) = 0;

    CImage* BackBuffer;

    IDepthBuffer* DepthBuffer;
    IStencilBuffer* StencilBuffer;
//    void releaseContext();
//
//
//    IRenderWindow* Window;
//    XImage* SoftwareImage;
//    video::CImage* BackBuffer;
};

}   // video
}   // irr

#endif // _IRR_COMPILE_WITH_BURNINGSVIDEO_

#endif
